> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/api-reference/observability/monitoring-service/models.md).

# Models

## The PipelineReadList object

```json
{"openapi":"3.0.3","info":{"title":"IONOS CLOUD - Monitoring REST API","version":"0.0.1"},"components":{"schemas":{"PipelineReadList":{"allOf":[{"type":"object","required":["id","type","href"],"properties":{"id":{"description":"ID of the list of Pipeline resources.","type":"string","format":"uuid"},"type":{"description":"The type of the resource.","type":"string","enum":["collection"]},"href":{"description":"The URL of the list of Pipeline resources.","type":"string"},"items":{"description":"The list of Pipeline resources.","type":"array","items":{"$ref":"#/components/schemas/PipelineRead"}}}},{"$ref":"#/components/schemas/Pagination"}]},"PipelineRead":{"type":"object","required":["id","type","href","metadata","properties"],"properties":{"id":{"type":"string","description":"The ID (UUID) of the Pipeline.","format":"uuid"},"type":{"description":"The type of the resource.","type":"string","enum":["pipeline"]},"href":{"description":"The URL of the Pipeline.","type":"string"},"metadata":{"$ref":"#/components/schemas/MetadataWithEndpoint"},"properties":{"$ref":"#/components/schemas/Pipeline"}}},"MetadataWithEndpoint":{"allOf":[{"$ref":"#/components/schemas/MetadataWithStatus"},{"type":"object","properties":{"grafanaEndpoint":{"type":"string","description":"The endpoint of the Grafana instance.\n","readOnly":true},"httpEndpoint":{"type":"string","description":"The HTTP endpoint of the monitoring instance.\n","readOnly":true},"key":{"type":"string","description":"The authentication key for the pipeline. Only returned in the create response, in the `201` response when ensure creates a new pipeline, and in the key rotation operation (`POST /pipelines/{pipelineId}/key`); not included in other responses.\n","readOnly":true}}}]},"MetadataWithStatus":{"allOf":[{"$ref":"#/components/schemas/Metadata"},{"type":"object","required":["state"],"properties":{"state":{"type":"string","description":"The state of the object. The state can be:\n* `PROVISIONING` - resource is being created.\n* `AVAILABLE` - resource exists and is healthy.\n* `UPDATING` - resource is being updated.\n* `DESTROYING` - delete command was issued, the resource is being deleted.\n* `FAILED` - resource failed, details in `statusMessage`.\n","enum":["PROVISIONING","AVAILABLE","UPDATING","DESTROYING","FAILED"],"readOnly":true},"statusMessage":{"type":"string","nullable":true,"description":"The message of the failure if the state is `FAILED`.\n","readOnly":true}}}]},"Metadata":{"type":"object","description":"Metadata of the resource.","properties":{"createdDate":{"type":"string","format":"date-time","description":"The ISO 8601 creation timestamp.","readOnly":true},"createdBy":{"type":"string","description":"Unique name of the identity that created the resource.","readOnly":true},"createdByUserId":{"type":"string","description":"Unique id of the identity that created the resource.","readOnly":true},"lastModifiedDate":{"type":"string","format":"date-time","description":"The ISO 8601 modified timestamp.","readOnly":true},"lastModifiedBy":{"type":"string","description":"Unique name of the identity that last modified the resource.","readOnly":true},"lastModifiedByUserId":{"type":"string","description":"Unique id of the identity that last modified the resource.","readOnly":true},"resourceURN":{"type":"string","description":"Unique name of the resource.","readOnly":true}}},"Pipeline":{"type":"object","description":"A pipeline consists of the generic rules and configurations of a monitoring pipeline instance.\n","required":["name"],"properties":{"name":{"type":"string","description":"The name of the pipeline. Must be not more that 20 characters long.\n"}}},"Pagination":{"required":["offset","limit","_links"],"description":"Pagination information. The offset and limit parameters are used to\nnavigate the list of elements. The _links object contains URLs to\nnavigate the different pages.\n","type":"object","properties":{"offset":{"$ref":"#/components/schemas/Offset"},"limit":{"$ref":"#/components/schemas/Limit"},"_links":{"$ref":"#/components/schemas/Links"}}},"Offset":{"description":"The offset specified in the request (if none was specified, the default\noffset is 0).\n","type":"integer","minimum":0,"readOnly":true},"Limit":{"description":"The limit specified in the request (if none was specified, use the\nendpoint's default pagination limit).\n","type":"integer","minimum":0,"readOnly":true},"Links":{"description":"URLs to navigate the different pages. As of now we always only return a\nsingle page.\n","type":"object","properties":{"prev":{"description":"URL (with offset and limit parameters) of the previous page; only\npresent if offset is greater than 0.\n","type":"string","format":"uri","readOnly":true},"self":{"description":"URL (with offset and limit parameters) of the current page.\n","type":"string","format":"uri","readOnly":true},"next":{"description":"URL (with offset and limit parameters) of the next page; only\npresent if offset + limit is less than the total number of elements.\n","type":"string","format":"uri","readOnly":true}}}}}}
```

## The PipelineRead object

```json
{"openapi":"3.0.3","info":{"title":"IONOS CLOUD - Monitoring REST API","version":"0.0.1"},"components":{"schemas":{"PipelineRead":{"type":"object","required":["id","type","href","metadata","properties"],"properties":{"id":{"type":"string","description":"The ID (UUID) of the Pipeline.","format":"uuid"},"type":{"description":"The type of the resource.","type":"string","enum":["pipeline"]},"href":{"description":"The URL of the Pipeline.","type":"string"},"metadata":{"$ref":"#/components/schemas/MetadataWithEndpoint"},"properties":{"$ref":"#/components/schemas/Pipeline"}}},"MetadataWithEndpoint":{"allOf":[{"$ref":"#/components/schemas/MetadataWithStatus"},{"type":"object","properties":{"grafanaEndpoint":{"type":"string","description":"The endpoint of the Grafana instance.\n","readOnly":true},"httpEndpoint":{"type":"string","description":"The HTTP endpoint of the monitoring instance.\n","readOnly":true},"key":{"type":"string","description":"The authentication key for the pipeline. Only returned in the create response, in the `201` response when ensure creates a new pipeline, and in the key rotation operation (`POST /pipelines/{pipelineId}/key`); not included in other responses.\n","readOnly":true}}}]},"MetadataWithStatus":{"allOf":[{"$ref":"#/components/schemas/Metadata"},{"type":"object","required":["state"],"properties":{"state":{"type":"string","description":"The state of the object. The state can be:\n* `PROVISIONING` - resource is being created.\n* `AVAILABLE` - resource exists and is healthy.\n* `UPDATING` - resource is being updated.\n* `DESTROYING` - delete command was issued, the resource is being deleted.\n* `FAILED` - resource failed, details in `statusMessage`.\n","enum":["PROVISIONING","AVAILABLE","UPDATING","DESTROYING","FAILED"],"readOnly":true},"statusMessage":{"type":"string","nullable":true,"description":"The message of the failure if the state is `FAILED`.\n","readOnly":true}}}]},"Metadata":{"type":"object","description":"Metadata of the resource.","properties":{"createdDate":{"type":"string","format":"date-time","description":"The ISO 8601 creation timestamp.","readOnly":true},"createdBy":{"type":"string","description":"Unique name of the identity that created the resource.","readOnly":true},"createdByUserId":{"type":"string","description":"Unique id of the identity that created the resource.","readOnly":true},"lastModifiedDate":{"type":"string","format":"date-time","description":"The ISO 8601 modified timestamp.","readOnly":true},"lastModifiedBy":{"type":"string","description":"Unique name of the identity that last modified the resource.","readOnly":true},"lastModifiedByUserId":{"type":"string","description":"Unique id of the identity that last modified the resource.","readOnly":true},"resourceURN":{"type":"string","description":"Unique name of the resource.","readOnly":true}}},"Pipeline":{"type":"object","description":"A pipeline consists of the generic rules and configurations of a monitoring pipeline instance.\n","required":["name"],"properties":{"name":{"type":"string","description":"The name of the pipeline. Must be not more that 20 characters long.\n"}}}}}}
```

## The PipelineEnsure object

```json
{"openapi":"3.0.3","info":{"title":"IONOS CLOUD - Monitoring REST API","version":"0.0.1"},"components":{"schemas":{"PipelineEnsure":{"type":"object","required":["id","properties"],"properties":{"id":{"type":"string","description":"The ID (UUID) of the Pipeline.","format":"uuid"},"metadata":{"description":"Metadata","additionalProperties":true},"properties":{"$ref":"#/components/schemas/Pipeline"}}},"Pipeline":{"type":"object","description":"A pipeline consists of the generic rules and configurations of a monitoring pipeline instance.\n","required":["name"],"properties":{"name":{"type":"string","description":"The name of the pipeline. Must be not more that 20 characters long.\n"}}}}}}
```

## The PipelineCreate object

```json
{"openapi":"3.0.3","info":{"title":"IONOS CLOUD - Monitoring REST API","version":"0.0.1"},"components":{"schemas":{"PipelineCreate":{"type":"object","required":["properties"],"properties":{"metadata":{"description":"Metadata","additionalProperties":true},"properties":{"$ref":"#/components/schemas/Pipeline"}}},"Pipeline":{"type":"object","description":"A pipeline consists of the generic rules and configurations of a monitoring pipeline instance.\n","required":["name"],"properties":{"name":{"type":"string","description":"The name of the pipeline. Must be not more that 20 characters long.\n"}}}}}}
```

## The Pipeline object

```json
{"openapi":"3.0.3","info":{"title":"IONOS CLOUD - Monitoring REST API","version":"0.0.1"},"components":{"schemas":{"Pipeline":{"type":"object","description":"A pipeline consists of the generic rules and configurations of a monitoring pipeline instance.\n","required":["name"],"properties":{"name":{"type":"string","description":"The name of the pipeline. Must be not more that 20 characters long.\n"}}}}}}
```

## The KeyRead object

```json
{"openapi":"3.0.3","info":{"title":"IONOS CLOUD - Monitoring REST API","version":"0.0.1"},"components":{"schemas":{"KeyRead":{"type":"object","description":"Contains the newly generated pipeline key, returned only by the key rotation operation. The value cannot be retrieved again later.\n","required":["key"],"properties":{"key":{"type":"string","description":"The key is shared once and is used to authenticate the metrics sent to the pipeline.\n"}}}}}}
```

## The CentralMonitoringReadList object

```json
{"openapi":"3.0.3","info":{"title":"IONOS CLOUD - Monitoring REST API","version":"0.0.1"},"components":{"schemas":{"CentralMonitoringReadList":{"allOf":[{"type":"object","required":["id","type","href"],"properties":{"id":{"description":"ID of the list of CentralMonitoring resources.","type":"string","format":"uuid"},"type":{"description":"The type of the resource.","type":"string","enum":["collection"]},"href":{"description":"The URL of the list of CentralMonitoring resources.","type":"string"},"items":{"description":"The list of CentralMonitoring resources.","type":"array","items":{"$ref":"#/components/schemas/CentralMonitoringRead"}}}}]},"CentralMonitoringRead":{"type":"object","required":["id","type","href","metadata","properties"],"properties":{"id":{"type":"string","description":"The ID (UUID) of the CentralMonitoring.","format":"uuid"},"type":{"description":"The type of the resource.","type":"string","enum":["centralmonitoring"]},"href":{"description":"The URL of the CentralMonitoring.","type":"string"},"metadata":{"$ref":"#/components/schemas/MetadataForCentralMonitoring"},"properties":{"$ref":"#/components/schemas/CentralMonitoring"}}},"MetadataForCentralMonitoring":{"allOf":[{"$ref":"#/components/schemas/Metadata"},{"type":"object","properties":{"grafanaEndpoint":{"type":"string","description":"The endpoint of the Grafana instance.\n","readOnly":true},"products":{"type":"array","items":{"type":"string"},"description":"Products with central monitoring enabled. This is a comma-separated list of product names.\n","readOnly":true}}}]},"Metadata":{"type":"object","description":"Metadata of the resource.","properties":{"createdDate":{"type":"string","format":"date-time","description":"The ISO 8601 creation timestamp.","readOnly":true},"createdBy":{"type":"string","description":"Unique name of the identity that created the resource.","readOnly":true},"createdByUserId":{"type":"string","description":"Unique id of the identity that created the resource.","readOnly":true},"lastModifiedDate":{"type":"string","format":"date-time","description":"The ISO 8601 modified timestamp.","readOnly":true},"lastModifiedBy":{"type":"string","description":"Unique name of the identity that last modified the resource.","readOnly":true},"lastModifiedByUserId":{"type":"string","description":"Unique id of the identity that last modified the resource.","readOnly":true},"resourceURN":{"type":"string","description":"Unique name of the resource.","readOnly":true}}},"CentralMonitoring":{"type":"object","description":"Central monitoring is a feature that allows you to use other products to send metrics to a central location. This is useful for analyzing metrics from multiple sources.\n","required":["enabled"],"properties":{"enabled":{"type":"boolean","default":false}}}}}}
```

## The CentralMonitoringRead object

```json
{"openapi":"3.0.3","info":{"title":"IONOS CLOUD - Monitoring REST API","version":"0.0.1"},"components":{"schemas":{"CentralMonitoringRead":{"type":"object","required":["id","type","href","metadata","properties"],"properties":{"id":{"type":"string","description":"The ID (UUID) of the CentralMonitoring.","format":"uuid"},"type":{"description":"The type of the resource.","type":"string","enum":["centralmonitoring"]},"href":{"description":"The URL of the CentralMonitoring.","type":"string"},"metadata":{"$ref":"#/components/schemas/MetadataForCentralMonitoring"},"properties":{"$ref":"#/components/schemas/CentralMonitoring"}}},"MetadataForCentralMonitoring":{"allOf":[{"$ref":"#/components/schemas/Metadata"},{"type":"object","properties":{"grafanaEndpoint":{"type":"string","description":"The endpoint of the Grafana instance.\n","readOnly":true},"products":{"type":"array","items":{"type":"string"},"description":"Products with central monitoring enabled. This is a comma-separated list of product names.\n","readOnly":true}}}]},"Metadata":{"type":"object","description":"Metadata of the resource.","properties":{"createdDate":{"type":"string","format":"date-time","description":"The ISO 8601 creation timestamp.","readOnly":true},"createdBy":{"type":"string","description":"Unique name of the identity that created the resource.","readOnly":true},"createdByUserId":{"type":"string","description":"Unique id of the identity that created the resource.","readOnly":true},"lastModifiedDate":{"type":"string","format":"date-time","description":"The ISO 8601 modified timestamp.","readOnly":true},"lastModifiedBy":{"type":"string","description":"Unique name of the identity that last modified the resource.","readOnly":true},"lastModifiedByUserId":{"type":"string","description":"Unique id of the identity that last modified the resource.","readOnly":true},"resourceURN":{"type":"string","description":"Unique name of the resource.","readOnly":true}}},"CentralMonitoring":{"type":"object","description":"Central monitoring is a feature that allows you to use other products to send metrics to a central location. This is useful for analyzing metrics from multiple sources.\n","required":["enabled"],"properties":{"enabled":{"type":"boolean","default":false}}}}}}
```

## The CentralMonitoringEnsure object

```json
{"openapi":"3.0.3","info":{"title":"IONOS CLOUD - Monitoring REST API","version":"0.0.1"},"components":{"schemas":{"CentralMonitoringEnsure":{"type":"object","required":["properties"],"properties":{"metadata":{"description":"Metadata","additionalProperties":true},"properties":{"$ref":"#/components/schemas/CentralMonitoring"}}},"CentralMonitoring":{"type":"object","description":"Central monitoring is a feature that allows you to use other products to send metrics to a central location. This is useful for analyzing metrics from multiple sources.\n","required":["enabled"],"properties":{"enabled":{"type":"boolean","default":false}}}}}}
```

## The CentralMonitoringCreate object

```json
{"openapi":"3.0.3","info":{"title":"IONOS CLOUD - Monitoring REST API","version":"0.0.1"},"components":{"schemas":{"CentralMonitoringCreate":{"type":"object","required":["properties"],"properties":{"metadata":{"description":"Metadata","additionalProperties":true},"properties":{"$ref":"#/components/schemas/CentralMonitoring"}}},"CentralMonitoring":{"type":"object","description":"Central monitoring is a feature that allows you to use other products to send metrics to a central location. This is useful for analyzing metrics from multiple sources.\n","required":["enabled"],"properties":{"enabled":{"type":"boolean","default":false}}}}}}
```

## The CentralMonitoring object

```json
{"openapi":"3.0.3","info":{"title":"IONOS CLOUD - Monitoring REST API","version":"0.0.1"},"components":{"schemas":{"CentralMonitoring":{"type":"object","description":"Central monitoring is a feature that allows you to use other products to send metrics to a central location. This is useful for analyzing metrics from multiple sources.\n","required":["enabled"],"properties":{"enabled":{"type":"boolean","default":false}}}}}}
```

## The MetadataWithStatus object

```json
{"openapi":"3.0.3","info":{"title":"IONOS CLOUD - Monitoring REST API","version":"0.0.1"},"components":{"schemas":{"MetadataWithStatus":{"allOf":[{"$ref":"#/components/schemas/Metadata"},{"type":"object","required":["state"],"properties":{"state":{"type":"string","description":"The state of the object. The state can be:\n* `PROVISIONING` - resource is being created.\n* `AVAILABLE` - resource exists and is healthy.\n* `UPDATING` - resource is being updated.\n* `DESTROYING` - delete command was issued, the resource is being deleted.\n* `FAILED` - resource failed, details in `statusMessage`.\n","enum":["PROVISIONING","AVAILABLE","UPDATING","DESTROYING","FAILED"],"readOnly":true},"statusMessage":{"type":"string","nullable":true,"description":"The message of the failure if the state is `FAILED`.\n","readOnly":true}}}]},"Metadata":{"type":"object","description":"Metadata of the resource.","properties":{"createdDate":{"type":"string","format":"date-time","description":"The ISO 8601 creation timestamp.","readOnly":true},"createdBy":{"type":"string","description":"Unique name of the identity that created the resource.","readOnly":true},"createdByUserId":{"type":"string","description":"Unique id of the identity that created the resource.","readOnly":true},"lastModifiedDate":{"type":"string","format":"date-time","description":"The ISO 8601 modified timestamp.","readOnly":true},"lastModifiedBy":{"type":"string","description":"Unique name of the identity that last modified the resource.","readOnly":true},"lastModifiedByUserId":{"type":"string","description":"Unique id of the identity that last modified the resource.","readOnly":true},"resourceURN":{"type":"string","description":"Unique name of the resource.","readOnly":true}}}}}}
```

## The MetadataForCentralMonitoring object

```json
{"openapi":"3.0.3","info":{"title":"IONOS CLOUD - Monitoring REST API","version":"0.0.1"},"components":{"schemas":{"MetadataForCentralMonitoring":{"allOf":[{"$ref":"#/components/schemas/Metadata"},{"type":"object","properties":{"grafanaEndpoint":{"type":"string","description":"The endpoint of the Grafana instance.\n","readOnly":true},"products":{"type":"array","items":{"type":"string"},"description":"Products with central monitoring enabled. This is a comma-separated list of product names.\n","readOnly":true}}}]},"Metadata":{"type":"object","description":"Metadata of the resource.","properties":{"createdDate":{"type":"string","format":"date-time","description":"The ISO 8601 creation timestamp.","readOnly":true},"createdBy":{"type":"string","description":"Unique name of the identity that created the resource.","readOnly":true},"createdByUserId":{"type":"string","description":"Unique id of the identity that created the resource.","readOnly":true},"lastModifiedDate":{"type":"string","format":"date-time","description":"The ISO 8601 modified timestamp.","readOnly":true},"lastModifiedBy":{"type":"string","description":"Unique name of the identity that last modified the resource.","readOnly":true},"lastModifiedByUserId":{"type":"string","description":"Unique id of the identity that last modified the resource.","readOnly":true},"resourceURN":{"type":"string","description":"Unique name of the resource.","readOnly":true}}}}}}
```

## The MetadataWithEndpoint object

```json
{"openapi":"3.0.3","info":{"title":"IONOS CLOUD - Monitoring REST API","version":"0.0.1"},"components":{"schemas":{"MetadataWithEndpoint":{"allOf":[{"$ref":"#/components/schemas/MetadataWithStatus"},{"type":"object","properties":{"grafanaEndpoint":{"type":"string","description":"The endpoint of the Grafana instance.\n","readOnly":true},"httpEndpoint":{"type":"string","description":"The HTTP endpoint of the monitoring instance.\n","readOnly":true},"key":{"type":"string","description":"The authentication key for the pipeline. Only returned in the create response, in the `201` response when ensure creates a new pipeline, and in the key rotation operation (`POST /pipelines/{pipelineId}/key`); not included in other responses.\n","readOnly":true}}}]},"MetadataWithStatus":{"allOf":[{"$ref":"#/components/schemas/Metadata"},{"type":"object","required":["state"],"properties":{"state":{"type":"string","description":"The state of the object. The state can be:\n* `PROVISIONING` - resource is being created.\n* `AVAILABLE` - resource exists and is healthy.\n* `UPDATING` - resource is being updated.\n* `DESTROYING` - delete command was issued, the resource is being deleted.\n* `FAILED` - resource failed, details in `statusMessage`.\n","enum":["PROVISIONING","AVAILABLE","UPDATING","DESTROYING","FAILED"],"readOnly":true},"statusMessage":{"type":"string","nullable":true,"description":"The message of the failure if the state is `FAILED`.\n","readOnly":true}}}]},"Metadata":{"type":"object","description":"Metadata of the resource.","properties":{"createdDate":{"type":"string","format":"date-time","description":"The ISO 8601 creation timestamp.","readOnly":true},"createdBy":{"type":"string","description":"Unique name of the identity that created the resource.","readOnly":true},"createdByUserId":{"type":"string","description":"Unique id of the identity that created the resource.","readOnly":true},"lastModifiedDate":{"type":"string","format":"date-time","description":"The ISO 8601 modified timestamp.","readOnly":true},"lastModifiedBy":{"type":"string","description":"Unique name of the identity that last modified the resource.","readOnly":true},"lastModifiedByUserId":{"type":"string","description":"Unique id of the identity that last modified the resource.","readOnly":true},"resourceURN":{"type":"string","description":"Unique name of the resource.","readOnly":true}}}}}}
```

## The Error object

```json
{"openapi":"3.0.3","info":{"title":"IONOS CLOUD - Monitoring REST API","version":"0.0.1"},"components":{"schemas":{"Error":{"description":"The Error object is used to represent an error response from the API.\n","type":"object","properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","description":"A list of error messages.\n","items":{"type":"object","properties":{"errorCode":{"type":"string","description":"Application internal error code\n"},"message":{"type":"string","description":"A human readable explanation specific to this occurrence of the\nproblem.\n"}}}}}}}}}
```

## The Metadata object

```json
{"openapi":"3.0.3","info":{"title":"IONOS CLOUD - Monitoring REST API","version":"0.0.1"},"components":{"schemas":{"Metadata":{"type":"object","description":"Metadata of the resource.","properties":{"createdDate":{"type":"string","format":"date-time","description":"The ISO 8601 creation timestamp.","readOnly":true},"createdBy":{"type":"string","description":"Unique name of the identity that created the resource.","readOnly":true},"createdByUserId":{"type":"string","description":"Unique id of the identity that created the resource.","readOnly":true},"lastModifiedDate":{"type":"string","format":"date-time","description":"The ISO 8601 modified timestamp.","readOnly":true},"lastModifiedBy":{"type":"string","description":"Unique name of the identity that last modified the resource.","readOnly":true},"lastModifiedByUserId":{"type":"string","description":"Unique id of the identity that last modified the resource.","readOnly":true},"resourceURN":{"type":"string","description":"Unique name of the resource.","readOnly":true}}}}}}
```

## The Pagination object

```json
{"openapi":"3.0.3","info":{"title":"IONOS CLOUD - Monitoring REST API","version":"0.0.1"},"components":{"schemas":{"Pagination":{"required":["offset","limit","_links"],"description":"Pagination information. The offset and limit parameters are used to\nnavigate the list of elements. The _links object contains URLs to\nnavigate the different pages.\n","type":"object","properties":{"offset":{"$ref":"#/components/schemas/Offset"},"limit":{"$ref":"#/components/schemas/Limit"},"_links":{"$ref":"#/components/schemas/Links"}}},"Offset":{"description":"The offset specified in the request (if none was specified, the default\noffset is 0).\n","type":"integer","minimum":0,"readOnly":true},"Limit":{"description":"The limit specified in the request (if none was specified, use the\nendpoint's default pagination limit).\n","type":"integer","minimum":0,"readOnly":true},"Links":{"description":"URLs to navigate the different pages. As of now we always only return a\nsingle page.\n","type":"object","properties":{"prev":{"description":"URL (with offset and limit parameters) of the previous page; only\npresent if offset is greater than 0.\n","type":"string","format":"uri","readOnly":true},"self":{"description":"URL (with offset and limit parameters) of the current page.\n","type":"string","format":"uri","readOnly":true},"next":{"description":"URL (with offset and limit parameters) of the next page; only\npresent if offset + limit is less than the total number of elements.\n","type":"string","format":"uri","readOnly":true}}}}}}
```

## The Offset object

```json
{"openapi":"3.0.3","info":{"title":"IONOS CLOUD - Monitoring REST API","version":"0.0.1"},"components":{"schemas":{"Offset":{"description":"The offset specified in the request (if none was specified, the default\noffset is 0).\n","type":"integer","minimum":0,"readOnly":true}}}}
```

## The Limit object

```json
{"openapi":"3.0.3","info":{"title":"IONOS CLOUD - Monitoring REST API","version":"0.0.1"},"components":{"schemas":{"Limit":{"description":"The limit specified in the request (if none was specified, use the\nendpoint's default pagination limit).\n","type":"integer","minimum":0,"readOnly":true}}}}
```

## The Links object

```json
{"openapi":"3.0.3","info":{"title":"IONOS CLOUD - Monitoring REST API","version":"0.0.1"},"components":{"schemas":{"Links":{"description":"URLs to navigate the different pages. As of now we always only return a\nsingle page.\n","type":"object","properties":{"prev":{"description":"URL (with offset and limit parameters) of the previous page; only\npresent if offset is greater than 0.\n","type":"string","format":"uri","readOnly":true},"self":{"description":"URL (with offset and limit parameters) of the current page.\n","type":"string","format":"uri","readOnly":true},"next":{"description":"URL (with offset and limit parameters) of the next page; only\npresent if offset + limit is less than the total number of elements.\n","type":"string","format":"uri","readOnly":true}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cloud/api-reference/observability/monitoring-service/models.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
